[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'PopupNotifier' (#lcl)

# TNotifierXButtonButtonState

Button states for the pop-up notifier buttons.

## Declaration

Source position: popupnotifier.pas line 33

`type TNotifierXButtonButtonState = (`
`nbsUp,` |  | The button is up.
`nbsDown,` |  | The button is down.
`nbsHot` |  | The button is hot (under the mouse).
`);`

## Description

TNotifierXButtonButtonState is an enumeration type with values that define the state for buttons in TPopupNotifier. TNotifierXButtonButtonState is defined to avoid a dependency on the Buttons unit.

## See also

TPopupNotifier |  | Implements a pop-up notification component.